# PasswordFinder (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.password
Interface PasswordFinder

    public interface PasswordFinder

Services requests for plaintext passwords.

Method Summary
`char[]` `reqPassword(Resource<?> resource)` Request password for specified resource.
`boolean` `shouldRetry(Resource<?> resource)` If password turns out to be incorrect, indicates whether another call to `reqPassword(Resource)` should be made.

Method Detail

### reqPassword

    char[] reqPassword(Resource<?> resource)

  Request password for specified resource.

  This method may return `null` when the request cannot be serviced, e.g. when the user cancels a password prompt.

  Parameters:
    `resource` - the resource for which password is being requested
  Returns:
    the password or `null`

### shouldRetry

    boolean shouldRetry(Resource<?> resource)

  If password turns out to be incorrect, indicates whether another call to `reqPassword(Resource)` should be made.

  This method is geared at interactive implementations, and stub implementations may simply return `false`.

  Parameters:
    `resource` - the resource for which password is being requested
  Returns:
    whether to retry requesting password for a particular resource

Copyright © 2009-2011. All Rights Reserved.